Description

The Init-RC Script for RHEL on RHEL6 doesnt work if you are not in the foreman-home.

If you run /etc/init.d/foreman start from outside of the foreman home you get the error

configuration /config.ru not found

 Here is a possible fix for this (maybe someone has a better idea):

--- /opt/foreman/foreman/extras/spec/foreman.init       2012-03-28 14:04:35.828489612 +0100

+++ /etc/init.d/foreman 2012-04-10 05:57:11.827524267 +0100

@@ -23,6 +23,7 @@

 start() {

     echo -n $"Starting $prog: " 

+    cd $FOREMAN_HOME

     daemon --user ${FOREMAN_USER} /usr/bin/ruby ${FOREMAN_HOME}/script/rails s -p ${FOREMAN_PORT}

 -e ${FOREMAN_ENV} -d > /dev/null

     RETVAL=$?

     if [ $RETVAL = 0 ]

History

#1 - 05/21/2012 08:49 AM - Ohad Levy

- Category set to Packaging

- Difficulty set to trivial

- Assignee set to Anonymous

#2 - 06/17/2012 06:54 AM - Ohad Levy

- Project changed from Foreman to Packaging

- Category deleted (Packaging)

- Target version deleted (1.0)

#3 - 01/02/2013 09:02 AM - Sam Kottler

- Status changed from New to Closed

I spoke to Jason a few weeks ago about this and it should be resolved. Please re-open the issue if you're still running into problems.
